version: "2.1"
services:
  jellyfin:
    image: lscr.io/linuxserver/jellyfin:latest
    container_name: jellyfin
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Paris
      #- JELLYFIN_PublishedServerUrl=media.naruto-kyun.net
      #- VIRTUAL_PORT=8096
      #- VIRTUAL_HOST=media.naruto-kyun.net
      #- LETSENCRYPT_HOST=media.naruto-kyun.net
      #- LETSENCRYPT_EMAIL=fauvel.marc@free.fr
    volumes:
      - ./config:/config
      - /mnt/data/medias/video/movies:/data/movies
      - /mnt/data/medias/video/series:/data/series
      - /mnt/data/medias/video/concerts-shows:/data/concerts-shows
      - /mnt/data/medias/video/videos-a-garder:/data/souvenirs
    ports:
      - 8096:8096
    #  - 8920:8920 #optional
    #  - 7359:7359/udp #optional
    #  - 1900:1900/udp #optional
    restart: always

#networks:
#    default:
#        external:
#            name: nginx_nginxproxy
